﻿@model IEnumerable<crm.Domain.Entity.Pack>

@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_AdminLayout.cshtml";
}

<h2>Index</h2>

<p>
    @Html.ActionLink("Create New", "Create")
</p>
<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.NomPack)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Description)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.PromoImage)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.PackDateDebut)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.PackDateFin)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.PackPrix)
        </th>
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        <td>
            @Html.DisplayFor(modelItem => item.NomPack)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Description)
        </td>
        <td>
            @{string path = "~/Content/Upload/" + @item.PromoImage;}

            <img src="@Url.Content(path)" width="160" height="135" />
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.PackDateDebut)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.PackDateFin)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.PackPrix)
        </td>
        <td>
            @Html.ActionLink("Edit", "Edit", new { id=item.PackId }) |
            @Html.ActionLink("Details", "Details", new { id=item.PackId }) |
            @Html.ActionLink("Delete", "Delete", new { id=item.PackId })
        </td>
    </tr>
}

</table>
